Skip to main content

Remit Delayed Transactions Webhook

This event is triggered when a payout is delayed in transit.

https://<customerHost:Port>/webhook
FieldDescription
Content-Typeapplication/json

Request example

ccurl --location --request POST 'https://<customerHost:Port>/webhook' \
-H 'content-type: application/json' \
-H 'x-request-id: 123e4567-e89b-12d3-a456-426655440000' \
-d '{
"clientHashId": "0498f10f-1968-494f-9f7a-454ed23942a0",
"customerHashId": "0de1e512-e0d7-4eca-ad41-dd39325facc2",
"walletHashId": "e83cca77-8b63-4a25-b580-1d872380ef29",
"sourceCurrency": "SGD",
"destinationCurrency": "INR",
"systemReferenceNumber": "RT1343085439",
"destinationCountry": "IN",
"status": "SENT_TO_BANK",
"updatedETA": "2024-03-15T10:30:00Z",
"delayedReason": "Payment is under compliance review at the intermediary bank.",
"template": "REMIT_TRANSACTION_DELAYED_WEBHOOK"
}'

Request body

FieldDescriptionType
clientHashIdThe unique client identifier that's generated and shared before the API handshake.UUID
customerHashIdThe unique customer identifier that's generated on customer creation.UUID
walletHashIdThe unique wallet identifier that's generated simultaneously with customer creation.UUID
sourceCurrencyThis field contains the three-letter ISO-4217 transaction currency code for source currency.String
destinationCurrencyThis field contains the three-letter ISO-4217 transaction currency code for the destination currency.String
systemReferenceNumberThis is a unique system reference number that's generated by the card issuance platform for the transaction.String
destinationCountryThis field contains the two-letter ISO-3166 country code for the destination country.String
statusThis field contains the current status of the transaction at the time the delay was detected.String
updatedETAThis field contains the revised estimated delivery time in the 2024-03-15T10:30:00Z ISO 8601 format.String
delayedReasonThis field contains a description of the reason the transaction has been delayed.String
templateThe value for this field is REMIT_TRANSACTION_DELAYED_WEBHOOK.String